<style type="text/css">
.lbg_subtitle {color:#21759b;
	font-weight:bold;
	font-size:14px;
}
.lbg_regGray {	font-size:12px;
	color:#999999;
	font-style:italic;
}
.regGray {font-weight:normal;
	color:#555555;
}
.regb {font-weight:bold;
}
.row-title {	font-weight:bold;
}
</style>
<div class="wrap">
<div id="lbg_logo">
			<h2>Help</h2>
  </div>
<p>This plugin requires at least WordPress 3.0</p>
<ul class="lbg_list-1">
  <li><a href="#videotutorials">Video Tutorials</a></li>
  <li><a href="#manage">Manage Sliders</a></li>
  <li><a href="#settings">Slider Settings</a></li>
  <li><a href="#playlist">Playlist</a></li>
  <li><a href="#animatedtext">Animated Layers Over Image</a></li>
  <li><a href="#shortcode">ShortCode</a></li>
  <li><a href="#recommended">Recommended Values for Each Skin</a><br />
  </li>
</ul>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="videotutorials" id="videotutorials"></a>1. Video Tutorials</span></p>
<p>Installation - <a href="http://www.youtube.com/watch?v=OiuT8zxKmpI" target="_blank">http://www.youtube.com/watch?v=OiuT8zxKmpI</a><br />
  How To Create A Slider - <a href="http://www.youtube.com/watch?v=xYrOMaUalso" target="_blank">http://www.youtube.com/watch?v=xYrOMaUalso</a><br />
  How To Add The Layers - <a href="https://www.youtube.com/watch?v=nIxHarBvEP4" target="_blank">https://www.youtube.com/watch?v=nIxHarBvEP4</a><br />
  How To Use It As FullScreen Background For A Single Page/Post- <a href="https://www.youtube.com/watch?v=7SKWd2fspg8" target="_blank">https://www.youtube.com/watch?v=7SKWd2fspg8</a><br />
  How To Use It As FullScreen Background For Entire Website- <a href="http://www.youtube.com/watch?v=PoqrBup7QrM" target="_blank">http://www.youtube.com/watch?v=PoqrBup7QrM</a></p>
<p>&nbsp;</p>
<p class="lbg_subtitle"><a name="manage" id="manage"></a>2. Manage Sliders</p>
<p class="">From this section you can:<br />
- add a new slider <br />
- 
select the banner you want to edit by clicking &quot;Slider Settings&quot;<br />
- add/edit playlist images by clicking &quot;Playlist&quot;
<br />
- delete an existing slider by clicking &quot;Delete&quot;
<br />
- duplicate an existing slider by clicking &quot;Duplicate&quot; </p>
<p class="">&nbsp;</p>
<p class="lbg_subtitle"><a name="settings" id="settings"></a>3. Slider Settings</p>
<p>From this section you can define the banner  settings.</p>
<table class="wp-list-table widefat fixed pages" cellspacing="0">
  <tr>
    <td width="30%" align="left" valign="top" class="row-title"></td>
    <td width="70%" align="left" valign="top"></td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">General Settings</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Banner Width</td>
    <td align="left" valign="top">banner width</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Banner Height</td>
    <td align="left" valign="top">banner height</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><span class="regb">Set As Background</span></td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - if you intend to use the plugin as full screen background<br />
      <strong>false</strong> - if you don't intend to use the plugin as full screen background</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Width 100%</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the banner width will be 100%<br />
      <strong>false</strong> - the banner width will be what you've set for 'width' parameter</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Height 100%</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the banner height will be 100%<br />
      <strong>false</strong> - the banner height will be what you've set for 'height' parameter</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><span class="regb">Responsive</span></td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the banner will responsive<br />
      <strong>false</strong> - the banner will not be responsive</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Responsive Relative To Browser</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the banner will be responisve relatively to browser dimensions<br />
      <strong>false</strong> - the banner will be responisve relatively to parent div</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Skin Name</td>
    <td align="left" valign="top"> available skins:<br />
      - opportune<br />
      - majestic<br />
      - generous</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Auto Play</td>
    <td align="left" valign="top">You can define the time (in seconds) until the next photo will play. If you set it 0 the banner will not autoplay</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Loop</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the banner will loop when reaches the end<br />
      <strong>false</strong> - the banner will stop when reaches the end</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Fade Slides</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the transition between the slides will be 'Fade'<br />
      <strong>false</strong> - the transition between the slides will be 'Slide'</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Scroll Slide Duration</td>
    <td align="left" valign="top">Time to make the transition/animation from one slide to another</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Scroll Slide Easing</td>
    <td align="left" valign="top">The animation (from one slide to another) easing. Possible values:<br />
      linear<br />
      swing <br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInElastic<br />
      easeOutElastic<br />
      easeInOutElastic<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack<br />
      easeInBounce<br />
      easeOutBounce<br />
      easeInOutBounce</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Target Window For Link</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>'_blank'</strong> - the link associated to the primary photo will open in a new window<br />
      <strong>'_slef'</strong>- the link associated to the primary photo will open in the same window</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Enable Touch Screen</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - mobile touch screen support enabled<br />
      <strong>false</strong> - mobile touch screen support disabled</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Preload Time</td>
    <td align="left" valign="top"><p>the delay time (in seconds) to postpone the slider start. In this time, a rotating cicle will appear in the middle of the slider to signal that the slider is in loading status</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Pause On Mouse Over</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - enables autoPlay pause on mouse over<br />
      <strong>false</strong> - disables autoPlay pause on mouse over</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Easing <br />
      for texts/elements over main image</td>
    <td align="left" valign="top">The defaut easing for layer animation. By layer, we understand a text or an image which comes over the main image. Possible values:<br />
      linear<br />
      swing <br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Zoom In/Out Effect Settings</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Horizontal Position</td>
    <td align="left" valign="top">Using this parameter the script  will determine both the  photo initial horizontal pozition and zoom effect direction<br />
Possible values:<br />
- left<br />
- center<br />
- right</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Vertical Position</td>
    <td align="left" valign="top">Using this parameter the script  will determine both the  photo initial vertical pozition and zoom effect direction<br />
Possible values:<br />
- top<br />
- center<br />
- bottom</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Initial Zoom</td>
    <td align="left" valign="top">initial photo zoom value. We recommend values between 0.5 - 1</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Final Zoom</td>
    <td align="left" valign="top">final photo zoom value. We recommend values between 0.5 - 1</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Zoom In/Out Effect Duration</td>
    <td align="left" valign="top">the Zoom In/Out effect duration in seconds</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Zoom In/Out Effect IE Duration Fix</td>
    <td align="left" valign="top">this value will be added to the 'duration' value for IE  (versions under IE10) browsers if <span class="row-title">Width 100%</span>=true.   This is done because IE doesn't support css3 transitions and IE   rendering engine is very poor. For IE browsers, if we have full width or   full screen banners we need to make the move slower.</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Zoom Effect Easing</td>
    <td align="left" valign="top"><p>The KenBurns effect default easing<br />
      Possible values:<br />
      linear<br />
      swing <br />
      ease<br />
      ease-in<br />
      ease-out<br />
      ease-in-out<br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Default Exit Move Parameters</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Exit Left Position</td>
    <td align="left" valign="top">the default left position, for layer exit (in pixels)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Exit Top Position</td>
    <td align="left" valign="top">the default top position, for layer exit (in pixels)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Exit Duration</td>
    <td align="left" valign="top">the default duration, for layer exit (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Exit Fade</td>
    <td align="left" valign="top">the default opacity value, for layer exit (values between 0-1)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Exit Delay</td>
    <td align="left" valign="top">the default time delay, for layer exit (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Default Exit Easing</td>
    <td align="left" valign="top">the default easing, for layer exit (in pixels)<br />
      Possible values:<br />
      linear<br />
      swing <br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInElastic<br />
      easeOutElastic<br />
      easeInOutElastic<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack<br />
      easeInBounce<br />
      easeOutBounce<br />
      easeInOutBounce </td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Disable Exit Move (default value)</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - the layers will not exit<br />
      <strong>false</strong> - the layers will exit  according to exit left, top, delay, duration and easing value</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Controllers Settings</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show All Controllers</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - all controllers will appear (next, previous, bottom navigation)<br />
      <strong>false</strong> - all controllers will not appear (next, previous, bottom navigation)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show Navigation Arrows</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - next, previous buttons will appear<br />
      <strong>false</strong> - next, previous buttons will not appear</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show Navigation Arrows On Init</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - next, previous buttons will appear on first banner init<br />
      <strong>false</strong> - next, previous buttons will not appear on first banner init</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Auto Hide Navigation Arrows</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - next, previous buttons will hide when mouse out<br />
      <strong>false</strong> - next, previous buttons will not hide when mouse out</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show Bottom Navigation</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - bottom navigation buttons will appear<br />
      <strong>false</strong> -bottom navigation buttons will not appear</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show Bottom Navigation On Init</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - bottom navigation buttons will appear on first banner init<br />
      <strong>false</strong> - bottom navigations buttons will not appear on first banner init</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Auto Hide Bottom Navigation</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> -bottom navigations buttons will hide when mouse out<br />
      <strong>false</strong> - bottom navigations buttons will not hide when mouse out</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show Preview Thumbs</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - a preview image will appear on hovering each bottom button<br />
      <strong>false</strong> - the preview image will not appear on hovering each bottom button</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Bottom Navigation - margin-bottom</td>
    <td align="left" valign="top">the vertical pozition of the bottom navigation area</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Hide Next&amp;Previous Button Under This Resolution</td>
    <td align="left" valign="top">the resolution under which the 'next' &amp; 'previous' navigation   buttons will not be visible. If you set 0 this parameter will be ignored   and the navigation buttons will be always visible no matter the screen   resolution.</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Thumbs  Settings</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Number Of Thumbs Per Screen</td>
    <td align="left" valign="top">the number of thumbs per screen. If you set it to 0, it will be   calculated automatically. You can set a fixed number, for example 4</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Thumbs On Margin Top</td>
    <td align="left" valign="top">for the thumbs that are on, there is an arrow pointing the active thumb.   Using this parameter you can change the vertical position of this arrow</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Thumbs Wrapper Margin Top</td>
    <td align="left" valign="top">the vertical pozition of the thumbs area</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Circle Timer Settings</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Show Circle Timer</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - shows the circle timer<br />
      <strong>false</strong> - hides the circle timer</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Circle Radius</td>
    <td align="left" valign="top">circle radius</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Circle Line Width</td>
    <td align="left" valign="top">circle line width</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Circle Color</td>
    <td align="left" valign="top">circle color, in hexa</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Circle Alpha</td>
    <td align="left" valign="top">circle alpha, in percents. Posible values 0-100</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Behind Circle Color</td>
    <td align="left" valign="top">behind circle color, in hexa</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Behind Circle Alpha</td>
    <td align="left" valign="top">behind circle alpha, in percents. Posible values 0-100</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
</table>
<p class="">&nbsp;</p>
<p class="lbg_subtitle"><a name="playlist" id="playlist"></a>4. Playlist</p>
<p>From this section you can define images in the playlist</p>
<table class="wp-list-table widefat fixed pages" cellspacing="0">
  <tr>
    <td width="30%" align="left" valign="top" class="row-title"></td>
    <td width="70%" align="left" valign="top"></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Image</td>
    <td align="left" valign="top">URL to the large image</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Link For The Image</td>
    <td align="left" valign="top">You can specify a  link associated to the primary photo</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Link Target</td>
    <td align="left" valign="top"><p>Possible values: <br />
      <strong>'_blank'</strong> - the link associated to the primary photo will open in a new window<br />
      <strong>'_slef'</strong>- the link associated to the primary photo will open in the same window</p>
      <p>*** If all your links will behave the same, you can ignore this parameter and use <span class="row-title">Target Window For Link</span> from Slider Settings</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Thumbnail</td>
    <td align="left" valign="top">URL to the thumbnail image</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Image Title / Alternative Text</td>
    <td align="left" valign="top">alternative text used to populate &quot;alt&quot; tag</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Video Beneath Image</td>
    <td align="left" valign="top">Possible values: <br />
      <strong>true</strong> - if you have video content beneath main photo<br />
      <strong>false</strong> - if you don'thave video content beneath main photo</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Content</td>
    <td align="left" valign="top">The content (other than the large image). It can be a video beheath the large image or a HTML content if you don't have a large image.</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Particular AutoPlay</td>
    <td align="left" valign="top">You can define for each slide the time (in seconds) until the next slide will play. If you set it 0 the slider will ignore it and the default '<span class="row-title">Auto Play'</span> value from 'Slider Settings' section, will be used</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Horizontal Position</td>
    <td align="left" valign="top"><p>Using this parameter the script  will determine both the  photo initial horizontal pozition and zoom effect direction<br />
      Possible values:<br />
      - left<br />
      - center<br />
      - right</p>
      <p>If you don't select a value, 'Default Horizontal Position value from 'Slider Settings' will be used</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Vertical Position</td>
    <td align="left" valign="top"><p>Using this parameter the script  will determine both the  photo initial vertical pozition and zoom effect direction<br />
      Possible values:<br />
      - top<br />
      - center<br />
      - bottom</p>
      <p>If you don't select a value, 'Default Vertical Position' value from 'Slider Settings' will be used</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Initial Zoom</td>
    <td align="left" valign="top"><p>initial photo zoom value. We recommend values between 0.5 - 1</p>
      <p> If you leave it blank, 'Default Initial Zoom' value from 'Slider Settings' will be used</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Final Zoom</td>
    <td align="left" valign="top"><p>final photo zoom value. We recommend values between 0.5 - 1</p>
      <p> If you leave it blank, 'Default Final Zoom' value from 'Slider Settings' will be used</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Zoom In/Out Effect Duration</td>
    <td align="left" valign="top"><p>the Zoom In/Out effect duration in seconds. </p>
      <p>If you leave it blank, 'Default Zoom In/Out Effect Duration' value from 'Slider Settings' will be used</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Zoom Effect Easing</td>
    <td align="left" valign="top"><p>The KenBurns effect  easing<br />
      Possible values:<br />
      linear<br />
      swing <br />
      ease<br />
      ease-in<br />
      ease-out<br />
      ease-in-out<br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack</p>
      <p>If you leave it blank, 'Default Zoom Effect Easing' value from 'Slider Settings' will be used</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
</table>
<p class="">&nbsp;</p>
<p class="lbg_subtitle"><a name="animatedtext" id="animatedtext"></a>5. Animated Layers Over Image</p>
<p>From this section you can define animated layers (text line or image) over the image</p>
<table class="wp-list-table widefat fixed pages" cellspacing="0">
  <tr>
    <td width="30%" align="left" valign="top" class="row-title"></td>
    <td width="70%" align="left" valign="top"></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Initial Left</td>
    <td align="left" valign="top"> the layer left initial postion (in pixels)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Initial Top</td>
    <td align="left" valign="top">the layer top initial postion (in pixels)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Final Left</td>
    <td align="left" valign="top">the layer top initial postion (in pixels)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Final Top</td>
    <td align="left" valign="top">the layer top final postion (in pixels)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Duration</td>
    <td align="left" valign="top"> the animation duration (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Initial Opacity</td>
    <td align="left" valign="top"> the animation duration (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Delay</td>
    <td align="left" valign="top">delay time (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Easing</td>
    <td align="left" valign="top">The easing for layer animation.  Possible values:<br />
      linear<br />
      swing <br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack
  <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Easing</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section.</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Initial CSS3 Animation</td>
    <td align="left" valign="top">The initial CSS3 prebuilt animation for layer.  Possible values:<br />
alreadyRotate<br />
alreadyRotate_90<br />
awesome<br />
awesome  ul<br />
awesome ul li<br />
bigEntrance<br />
boingInUp<br />
boingOutDown<br />
bombLeftOut<br />
bombRightOut<br />
bounce<br />
bounceIn<br />
bounceOut<br />
changeColorToRed<br />
changeColorToBlack<br />
changeColorToWhite<br />
changeColorToOrange<br />
changeColorToPink<br />
CoolBaloonFixed<br />
CoolBaloonFullWidth<br />
CoolCloud1<br />
CoolCloud2<br />
CoolCloud3<br />
coolBarBottom<br />
coolBarCenter<br />
coolBarCenterFixed<br />
coolBarRight<br />
coolBarLeft<br />
coolBarRightMin<br />
coolBarLeftMin<br />
coolBarRightMinRegular<br />
coolBarLeftMinRegular<br />
dance<br />
expandUp<br />
fadeIn<br />
flash<br />
flashBang<br />
flip<br />
flipBookCenter_Cover1<br />
flipBookCenter_Cover2<br />
flipBookLeft_Cover1<br />
flipBookLeft_Cover2<br />
flipBookRight_Cover3<br />
flipBookRight_Cover4<br />
flipInX<br />
flipInY<br />
flipOutX<br />
flipOutY<br />
flipXFast3d<br />
flipX3dPerpetuum<br />
flipY3dPerpetuum<br />
flipYFastRight3d<br />
flipYFastLeft3d<br />
flipYFastRight3dChangeColor<br />
flipYFastLeft3dChangeColor<br />
flipYFastLeft3dSpecialColor<br />
flipYFastLeft3dSpecialColor2<br />
floating<br />
floatingEasy<br />
foolishIn<br />
foolishOut<br />
hatch<br />
hinge<br />
hinge2<br />
holeOut<br />
jamp<br />
jello<br />
journal<br />
lightSpeedInLeft<br />
lightSpeedInRight<br />
lightSpeedOutRight<br />
lightSpeedOutLeft<br />
magic<br />
magnifying<br />
magnifyingStop<br />
openDownRight<br />
openUpLeft<br />
openUpRight<br />
openDownLeftRetourn<br />
openDownRightRetourn<br />
openUpLeftRetourn<br />
openUpRightRetourn<br />
openDownLeftOut<br />
openDownRightOut<br />
openUpLeftOut<br />
openUpRightOut<br />
perpetuumChainLink1<br />
perpetuumChainLink2<br />
perspectiveLeft<br />
perspectiveRight<br />
perspectiveRightIn<br />
perspectiveUp<br />
perspectiveDownZero<br />
perspectiveDown<br />
perspectiveLeftRetourn<br />
perspectiveRightRetourn<br />
perspectiveUpRetourn<br />
perspectiveDownRetourn<br />
rollInRight<br />
rollInLeft<br />
rollOutRight<br />
rollOutLeft<br />
rotateEaseForward<br />
rotateEaseBackward<br />
rotateFastForward<br />
rotateFastBackward<br />
rotateLeft<br />
rotateRight<br />
rotateUp<br />
rotateDown<br />
rotateInRight<br />
rotateInLeft<br />
rotateInDownLeft<br />
rotateInDownRight<br />
rotateInUpLeft<br />
rotateInUpRight<br />
rotateOut<br />
rotateOutDownLeft<br />
rotateOutDownRight<br />
rotateOutUpLeft<br />
rotateOutUpRight<br />
rubberBand<br />
scaleBounce<br />
scaleIn<br />
scaleInMin<br />
scaleInExit<br />
scaleInExitBounce<br />
scaleOut<br />
scaleOutBounce<br />
shake<br />
skew<br />
slideDown<br />
slideUp<br />
slideLeft<br />
slideRight<br />
slideExpandUp<br />
snow1<br />
snow2<br />
snow3<br />
spaceInUp<br />
spaceInDown<br />
spaceInLeft<br />
spaceInRight<br />
spaceOutUp<br />
stretchRight<br />
swap<br />
swashIn<br />
swashOut<br />
swing<br />
tada<br />
typing_and_erasing<br />
typing<br />
tinLeftIn<br />
tinRightIn<br />
tinUpIn<br />
tinDownIn<br />
tinLeftOut<br />
tinRightOut<br />
tinUpOut<br />
tinDownOut<br />
tossing<br />
twisterInUp<br />
twisterInDown<br />
vanishIn<br />
vanishOut<br />
wobble<br />
zoomIn<br />
zoomOut<br />
zoomOutSlowly<br />
zoomInRight<br />
zoomInUp<br />
zoomInDown<br />
zoomOutLeft<br />
zoomOutRight<br />
zoomOutUp<br />
zoomOutDown<br />
planeFW<br />
planeFWFixed<br />
planeBW<br />
planeBWFixed<br />
planeBW2<br />
magnifyingBounce<br />
stamp<br />
returnsToZero<br />
pulse<br />
pullLeftBoxRegularRZ<br />
lbg1_bgk<br />
slideBox_RightFromLeft<br />
slideBox_LeftFromRight<br />
slideBox_RightFromLeft_min<br />
slideBox_LeftFromRight_min<br />
slideBox_TopFromBottom<br />
slideBox_BottomFromTop<br />
slideBox_TopFromBottom_min<br />
slideBox_BottomFromTop_min<br />
slideBox_TopFromBottom_full<br />
slideBox_TopFromBottom_full_min</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Exit Move Parameters</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit Left</td>
    <td align="left" valign="top"><p>the  left position, for layer exit (in pixels)</p>
      <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit Left</span>', will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit Top</td>
    <td align="left" valign="top"><p>the top position, for layer exit (in pixels)</p>
      <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit Top'</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit Duration</td>
    <td align="left" valign="top"><p>the duration, for layer exit (in seconds)</p>
      <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit Duration'</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit Delay</td>
    <td align="left" valign="top"><p>the time delay, for layer exit (in seconds)</p>
      <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit Delay'</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit Fade</td>
    <td align="left" valign="top"><p>exit fade value. Values from 0 to 1</p>
      <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit Fade'</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit Easing</td>
    <td align="left" valign="top">The easing for layer exit animation.  Possible values:<br />
      linear<br />
      swing <br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack
  <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit Easing</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Cancel Exit</td>
    <td align="left" valign="top"><p>Possible values: <br />
      <strong>true</strong> - the layer will not exit<br />
      <strong>false</strong> - the layer will exit  according to exit left, top, delay, duration and easing value</p>
      <p>*** If this parameter is not added, the value of JS parameter<span class="regb"> 'Default Exit OFF'</span>, will be used. Please refer to <a href="#settings">Slider Settings</a> section</p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Exit CSS3 Animation</td>
    <td align="left" valign="top">The exit CSS3 prebuilt animation for layer.  Possible values:<br />
      alreadyRotate<br />
      alreadyRotate_90<br />
      awesome<br />
      awesome  ul<br />
      awesome ul li<br />
      bigEntrance<br />
      boingInUp<br />
      boingOutDown<br />
      bombLeftOut<br />
      bombRightOut<br />
      bounce<br />
      bounceIn<br />
      bounceOut<br />
      changeColorToRed<br />
      changeColorToBlack<br />
      changeColorToWhite<br />
      changeColorToOrange<br />
      changeColorToPink<br />
      CoolBaloonFixed<br />
      CoolBaloonFullWidth<br />
      CoolCloud1<br />
      CoolCloud2<br />
      CoolCloud3<br />
      coolBarBottom<br />
      coolBarCenter<br />
      coolBarCenterFixed<br />
      coolBarRight<br />
      coolBarLeft<br />
      coolBarRightMin<br />
      coolBarLeftMin<br />
      coolBarRightMinRegular<br />
      coolBarLeftMinRegular<br />
      dance<br />
      expandUp<br />
      fadeIn<br />
      flash<br />
      flashBang<br />
      flip<br />
      flipBookCenter_Cover1<br />
      flipBookCenter_Cover2<br />
      flipBookLeft_Cover1<br />
      flipBookLeft_Cover2<br />
      flipBookRight_Cover3<br />
      flipBookRight_Cover4<br />
      flipInX<br />
      flipInY<br />
      flipOutX<br />
      flipOutY<br />
      flipXFast3d<br />
      flipX3dPerpetuum<br />
      flipY3dPerpetuum<br />
      flipYFastRight3d<br />
      flipYFastLeft3d<br />
      flipYFastRight3dChangeColor<br />
      flipYFastLeft3dChangeColor<br />
      flipYFastLeft3dSpecialColor<br />
      flipYFastLeft3dSpecialColor2<br />
      floating<br />
      floatingEasy<br />
      foolishIn<br />
      foolishOut<br />
      hatch<br />
      hinge<br />
      hinge2<br />
      holeOut<br />
      jamp<br />
      jello<br />
      journal<br />
      lightSpeedInLeft<br />
      lightSpeedInRight<br />
      lightSpeedOutRight<br />
      lightSpeedOutLeft<br />
      magic<br />
      magnifying<br />
      magnifyingStop<br />
      openDownRight<br />
      openUpLeft<br />
      openUpRight<br />
      openDownLeftRetourn<br />
      openDownRightRetourn<br />
      openUpLeftRetourn<br />
      openUpRightRetourn<br />
      openDownLeftOut<br />
      openDownRightOut<br />
      openUpLeftOut<br />
      openUpRightOut<br />
      perpetuumChainLink1<br />
      perpetuumChainLink2<br />
      perspectiveLeft<br />
      perspectiveRight<br />
      perspectiveRightIn<br />
      perspectiveUp<br />
      perspectiveDownZero<br />
      perspectiveDown<br />
      perspectiveLeftRetourn<br />
      perspectiveRightRetourn<br />
      perspectiveUpRetourn<br />
      perspectiveDownRetourn<br />
      rollInRight<br />
      rollInLeft<br />
      rollOutRight<br />
      rollOutLeft<br />
      rotateEaseForward<br />
      rotateEaseBackward<br />
      rotateFastForward<br />
      rotateFastBackward<br />
      rotateLeft<br />
      rotateRight<br />
      rotateUp<br />
      rotateDown<br />
      rotateInRight<br />
      rotateInLeft<br />
      rotateInDownLeft<br />
      rotateInDownRight<br />
      rotateInUpLeft<br />
      rotateInUpRight<br />
      rotateOut<br />
      rotateOutDownLeft<br />
      rotateOutDownRight<br />
      rotateOutUpLeft<br />
      rotateOutUpRight<br />
      rubberBand<br />
      scaleBounce<br />
      scaleIn<br />
      scaleInMin<br />
      scaleInExit<br />
      scaleInExitBounce<br />
      scaleOut<br />
      scaleOutBounce<br />
      shake<br />
      skew<br />
      slideDown<br />
      slideUp<br />
      slideLeft<br />
      slideRight<br />
      slideExpandUp<br />
      snow1<br />
      snow2<br />
      snow3<br />
      spaceInUp<br />
      spaceInDown<br />
      spaceInLeft<br />
      spaceInRight<br />
      spaceOutUp<br />
      stretchRight<br />
      swap<br />
      swashIn<br />
      swashOut<br />
      swing<br />
      tada<br />
      typing_and_erasing<br />
      typing<br />
      tinLeftIn<br />
      tinRightIn<br />
      tinUpIn<br />
      tinDownIn<br />
      tinLeftOut<br />
      tinRightOut<br />
      tinUpOut<br />
      tinDownOut<br />
      tossing<br />
      twisterInUp<br />
      twisterInDown<br />
      vanishIn<br />
      vanishOut<br />
      wobble<br />
      zoomIn<br />
      zoomOut<br />
      zoomOutSlowly<br />
      zoomInRight<br />
      zoomInUp<br />
      zoomInDown<br />
      zoomOutLeft<br />
      zoomOutRight<br />
      zoomOutUp<br />
      zoomOutDown<br />
      planeFW<br />
      planeFWFixed<br />
      planeBW<br />
      planeBWFixed<br />
      planeBW2<br />
      magnifyingBounce<br />
      stamp<br />
      returnsToZero<br />
      pulse<br />
      pullLeftBoxRegularRZ<br />
      lbg1_bgk<br />
      slideBox_RightFromLeft<br />
      slideBox_LeftFromRight<br />
      slideBox_RightFromLeft_min<br />
      slideBox_LeftFromRight_min<br />
      slideBox_TopFromBottom<br />
      slideBox_BottomFromTop<br />
      slideBox_TopFromBottom_min<br />
      slideBox_BottomFromTop_min<br />
      slideBox_TopFromBottom_full<br />
      slideBox_TopFromBottom_full_min</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray">Intermediate Move Parameters</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Intermediate Left</td>
    <td align="left" valign="top"> the layer intermediate move left postion (in pixels)</td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Intermediate Top</td>
    <td align="left" valign="top"> the layer intermediate move top postion (in pixels)</td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Intermediate Duration</td>
    <td align="left" valign="top"> the layer intermediate move duration (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Intermediate Easing</td>
    <td align="left" valign="top"><p>The intermediate move easing Possible values:<br />
      linear<br />
      swing <br />
      easeInQuad<br />
      easeOutQuad<br />
      easeInOutQuad<br />
      easeInCubic<br />
      easeOutCubic<br />
      easeInOutCubic<br />
      easeInQuart<br />
      easeOutQuart<br />
      easeInOutQuart<br />
      easeInSine<br />
      easeOutSine<br />
      easeInOutSine<br />
      easeInExpo<br />
      easeOutExpo<br />
      easeInOutExpo<br />
      easeInQuint<br />
      easeOutQuint<br />
      easeInOutQuint<br />
      easeInCirc<br />
      easeOutCirc<br />
      easeInOutCirc<br />
      easeInBack<br />
      easeOutBack<br />
      easeInOutBack </p>
      <p>&nbsp;</p></td>
    </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Intermediate Delay</td>
    <td align="left" valign="top">the layer intermediate move delay time (in seconds)</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Intermediate CSS3 Animation</td>
    <td align="left" valign="top">The Intermediate CSS3 prebuilt animation for layer.  Possible values:<br />
      alreadyRotate<br />
      alreadyRotate_90<br />
      awesome<br />
      awesome  ul<br />
      awesome ul li<br />
      bigEntrance<br />
      boingInUp<br />
      boingOutDown<br />
      bombLeftOut<br />
      bombRightOut<br />
      bounce<br />
      bounceIn<br />
      bounceOut<br />
      changeColorToRed<br />
      changeColorToBlack<br />
      changeColorToWhite<br />
      changeColorToOrange<br />
      changeColorToPink<br />
      CoolBaloonFixed<br />
      CoolBaloonFullWidth<br />
      CoolCloud1<br />
      CoolCloud2<br />
      CoolCloud3<br />
      coolBarBottom<br />
      coolBarCenter<br />
      coolBarCenterFixed<br />
      coolBarRight<br />
      coolBarLeft<br />
      coolBarRightMin<br />
      coolBarLeftMin<br />
      coolBarRightMinRegular<br />
      coolBarLeftMinRegular<br />
      dance<br />
      expandUp<br />
      fadeIn<br />
      flash<br />
      flashBang<br />
      flip<br />
      flipBookCenter_Cover1<br />
      flipBookCenter_Cover2<br />
      flipBookLeft_Cover1<br />
      flipBookLeft_Cover2<br />
      flipBookRight_Cover3<br />
      flipBookRight_Cover4<br />
      flipInX<br />
      flipInY<br />
      flipOutX<br />
      flipOutY<br />
      flipXFast3d<br />
      flipX3dPerpetuum<br />
      flipY3dPerpetuum<br />
      flipYFastRight3d<br />
      flipYFastLeft3d<br />
      flipYFastRight3dChangeColor<br />
      flipYFastLeft3dChangeColor<br />
      flipYFastLeft3dSpecialColor<br />
      flipYFastLeft3dSpecialColor2<br />
      floating<br />
      floatingEasy<br />
      foolishIn<br />
      foolishOut<br />
      hatch<br />
      hinge<br />
      hinge2<br />
      holeOut<br />
      jamp<br />
      jello<br />
      journal<br />
      lightSpeedInLeft<br />
      lightSpeedInRight<br />
      lightSpeedOutRight<br />
      lightSpeedOutLeft<br />
      magic<br />
      magnifying<br />
      magnifyingStop<br />
      openDownRight<br />
      openUpLeft<br />
      openUpRight<br />
      openDownLeftRetourn<br />
      openDownRightRetourn<br />
      openUpLeftRetourn<br />
      openUpRightRetourn<br />
      openDownLeftOut<br />
      openDownRightOut<br />
      openUpLeftOut<br />
      openUpRightOut<br />
      perpetuumChainLink1<br />
      perpetuumChainLink2<br />
      perspectiveLeft<br />
      perspectiveRight<br />
      perspectiveRightIn<br />
      perspectiveUp<br />
      perspectiveDownZero<br />
      perspectiveDown<br />
      perspectiveLeftRetourn<br />
      perspectiveRightRetourn<br />
      perspectiveUpRetourn<br />
      perspectiveDownRetourn<br />
      rollInRight<br />
      rollInLeft<br />
      rollOutRight<br />
      rollOutLeft<br />
      rotateEaseForward<br />
      rotateEaseBackward<br />
      rotateFastForward<br />
      rotateFastBackward<br />
      rotateLeft<br />
      rotateRight<br />
      rotateUp<br />
      rotateDown<br />
      rotateInRight<br />
      rotateInLeft<br />
      rotateInDownLeft<br />
      rotateInDownRight<br />
      rotateInUpLeft<br />
      rotateInUpRight<br />
      rotateOut<br />
      rotateOutDownLeft<br />
      rotateOutDownRight<br />
      rotateOutUpLeft<br />
      rotateOutUpRight<br />
      rubberBand<br />
      scaleBounce<br />
      scaleIn<br />
      scaleInMin<br />
      scaleInExit<br />
      scaleInExitBounce<br />
      scaleOut<br />
      scaleOutBounce<br />
      shake<br />
      skew<br />
      slideDown<br />
      slideUp<br />
      slideLeft<br />
      slideRight<br />
      slideExpandUp<br />
      snow1<br />
      snow2<br />
      snow3<br />
      spaceInUp<br />
      spaceInDown<br />
      spaceInLeft<br />
      spaceInRight<br />
      spaceOutUp<br />
      stretchRight<br />
      swap<br />
      swashIn<br />
      swashOut<br />
      swing<br />
      tada<br />
      typing_and_erasing<br />
      typing<br />
      tinLeftIn<br />
      tinRightIn<br />
      tinUpIn<br />
      tinDownIn<br />
      tinLeftOut<br />
      tinRightOut<br />
      tinUpOut<br />
      tinDownOut<br />
      tossing<br />
      twisterInUp<br />
      twisterInDown<br />
      vanishIn<br />
      vanishOut<br />
      wobble<br />
      zoomIn<br />
      zoomOut<br />
      zoomOutSlowly<br />
      zoomInRight<br />
      zoomInUp<br />
      zoomInDown<br />
      zoomOutLeft<br />
      zoomOutRight<br />
      zoomOutUp<br />
      zoomOutDown<br />
      planeFW<br />
      planeFWFixed<br />
      planeBW<br />
      planeBWFixed<br />
      planeBW2<br />
      magnifyingBounce<br />
      stamp<br />
      returnsToZero<br />
      pulse<br />
      pullLeftBoxRegularRZ<br />
      lbg1_bgk<br />
      slideBox_RightFromLeft<br />
      slideBox_LeftFromRight<br />
      slideBox_RightFromLeft_min<br />
      slideBox_LeftFromRight_min<br />
      slideBox_TopFromBottom<br />
      slideBox_BottomFromTop<br />
      slideBox_TopFromBottom_min<br />
      slideBox_BottomFromTop_min<br />
      slideBox_TopFromBottom_full<br />
      slideBox_TopFromBottom_full_min</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="shortcode" id="shortcode"></a>6. ShortCode</span></p>
<p>The shortcode is: <br />
[lbg_zoominoutslider settings_id='1']<br />
where <br />
 settings_id is the banner ID defined in &quot;Manage Sliders&quot; section</p>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="recommended" id="recommended"></a>7. Recommended Values for Each Skin</span></p>
<p>Of course, you can change the default settings as you wish but this is our recommandation.<br />
  We recommend you to change some default settings for the skins as follows:<br />
  <br />
  <strong>Opportune Skin</strong> (default)<br />
  NO change</p>
<p><strong>Majestic Skin</strong><br />
 numberOfThumbsPerScreen:8,<br />
thumbsOnMarginTop:23,<br />
thumbsWrapperMarginTop: 0</p>
<p><strong>Generous Skin</strong><br />
numberOfThumbsPerScreen:7,<br />
thumbsOnMarginTop:14,<br />
thumbsWrapperMarginTop: -110,<br />
autoHideBottomNav:true</p>
</div>